package cn.iocoder.yudao.module.asset.convert.customer;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.asset.controller.admin.customer.vo.CustomerRespVO;
import cn.iocoder.yudao.module.asset.controller.admin.customer.vo.CustomerSaveReqVO;
import cn.iocoder.yudao.module.asset.dal.dataobject.customer.CustomerDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 客户 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface CustomerConvert {

    CustomerConvert INSTANCE = Mappers.getMapper(CustomerConvert.class);

    CustomerDO convert(CustomerSaveReqVO bean);

    CustomerRespVO convert(CustomerDO bean);

    PageResult<CustomerRespVO> convertPage(PageResult<CustomerDO> page);

    List<CustomerRespVO> convertList(List<CustomerDO> list);

}
